> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/cdn/analysis/describestatuscode.md).

# DescribeStatusCode

## 1. API Description

This API (DescribeStatusCode) is used to query CDN status codes.

#### Preparation

* Query Continents and Countries/Regions: Use [`DescribeAnalysisRegions`](/api-reference/networking/cdn/common/describeanalysisregions.md).

## 2. Request Parameters

The following table lists the required request parameters for the API:

| Parameter Name | Required | Type   | Description                                                                                                                                                                                                                         |
| -------------- | -------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| startTime      | Yes      | String | The beginning of the time range to query. Specify the time in the ISO 8601 standard in the yyyy-MM-ddTHH:mm:ssZ format. The time must be in UTC. For example, 2024-08-22T00:00:00Z.                                                 |
| endTime        | Yes      | String | The end of the time range to query. Specify the time in the ISO 8601 standard in the yyyy-MM-ddTHH:mm:ssZ format. The time must be in UTC. For example, 2024-08-22T00:10:00Z. Note: The end time must be later than the start time. |
| domain         | No       | String | domain, use commas(,) to separate multiple domain names. By default, all acceleration domains will be queried.                                                                                                                      |

## 3. Output Parameterss

| Parameter Name | Type                                                                                     | Description                                                                                          |
| -------------- | ---------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------- |
| dataSet        | Array of [StatusCodeData](/api-reference/networking/cdn/datastructure.md#statuscodedata) | Collection of status codes.                                                                          |
| requestId      | String                                                                                   | Unique request ID, which is returned with every request. This request ID is needed to locate issues. |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query CDN Status Codes.**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-TC-Action: DescribeStatusCode
<Common Request Params>

Request:
{
    "startTime": "2024-08-22T00:00:00Z",
    "endTime": "2024-08-22T00:05:00Z"
}

Response:
{
  "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
  "response": {
    "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
    "dataSet": [{
      "data": [{
        "detail": [{
          "code": "200",
          "count": 286
        }, {
          "code": "404",
          "count": 1
        }],
        "time": "2024-08-22T00:00:00Z"
      }],
      "domain": "*"
    }]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).
